
Foreman - Feature #955

VMWare provisioning support.

06/01/2011 12:42 AM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: VM management   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Develop VMWare support using https://github.com/vmware/rbvmomi

Brian Gupta is willing to provide a test box, if anyone wants to take this on.

Related issues:

Has duplicate Foreman - Feature #1322: Add vmware hypervisor support Duplicate 11/15/2011

Associated revisions

Revision 4213d2be - 03/28/2012 01:08 PM - Ohad Levy

first go at vmware integeration refs #955

this patch adds the ability to add a vmware compute resource, and display their console

History

#1 - 07/14/2011 05:22 AM - Ohad Levy

another potentially useful project for this ticket

http://aeolusproject.org/spherical.html

#2 - 10/18/2011 10:15 AM - Jacob McCann

I don't know much about libvirt, but it seems to already support VMWare?

http://libvirt.org/drvesx.html#questions

#3 - 12/06/2012 12:02 PM - Benjamin Papillon

- Status changed from New to Closed

VMWare provisionning has been recently added. Can you check git/nightly builds and report specific errors you may encounter please?

#4 - 12/06/2012 12:44 PM - Ohad Levy

- Category set to VM management

- Assignee set to Ohad Levy

- Target version set to 1.1
